FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202009161248.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202009161248.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=3f8300d OS_GIT_VERSION=4.5.0-202009161248.p0-3f8300d SOURCE_DATE_EPOCH=1599854676 SOURCE_GIT_COMMIT=3f8300d04770c2abbfe5ca5d45daec4af7dc6d3e SOURCE_GIT_TAG=3f8300d0 SOURCE_GIT_URL=https://github.com/openshift/cluster-svcat-controller-manager-operator 
WORKDIR /go/src/github.com/openshift/cluster-svcat-controller-manager-operator
COPY . .
RUN make build --warn-undefined-variables

FROM openshift/ose-base:v4.5.0.20200916.131602
ENV __doozer=update BUILD_RELEASE=202009161248.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202009161248.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=3f8300d OS_GIT_VERSION=4.5.0-202009161248.p0-3f8300d SOURCE_DATE_EPOCH=1599854676 SOURCE_GIT_COMMIT=3f8300d04770c2abbfe5ca5d45daec4af7dc6d3e SOURCE_GIT_TAG=3f8300d0 SOURCE_GIT_URL=https://github.com/openshift/cluster-svcat-controller-manager-operator 
COPY --from=builder /go/src/github.com/openshift/cluster-svcat-controller-manager-operator/cluster-svcat-controller-manager-remover /usr/bin/
COPY manifests /manifests

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-cluster-svcat-controller-manager-operator" \
        com.redhat.component="ose-cluster-svcat-controller-manager-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Service Catalog" \
        release="202009161248.p0" \
        io.openshift.build.commit.id="3f8300d04770c2abbfe5ca5d45daec4af7dc6d3e" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-svcat-controller-manager-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-svcat-controller-manager-operator/commit/3f8300d04770c2abbfe5ca5d45daec4af7dc6d3e" \
        version="v4.5.0"

